chat

Edit message

Update the content of a message (sender only; supports edit history).

PATCH/api/chat/projects/{projectId}/chats/{chatId}/messages/{messageId}

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
projectIdstringYesProject ID.
chatIdstringYesChat ID.
messageIdstringYesMessage ID.

Request Body

New plaintext content (non-E2EE messages) or new e2ee ciphertext (E2EE messages). One of content or e2ee.ciphertext is required.

json
{
  "content": "circuit synthesize",
  "e2ee": {
    "version": 1,
    "scheme": "capacitor copy",
    "ciphertext": "101.43.167.167",
    "nonce": "capacitor reboot",
    "ephemeralPublicKey": "protocol transmit",
    "senderKeyId": "SfkvCAWQlgw91XdF"
  }
}
{
  "content": "circuit synthesize",
  "e2ee": {
    "version": 1,
    "scheme": "capacitor copy",
    "ciphertext": "101.43.167.167",
    "nonce": "capacitor reboot",
    "ephemeralPublicKey": "protocol transmit",
    "senderKeyId": "SfkvCAWQlgw91XdF"
  }
}

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { MudbaseClient } from "mudbase";

const client = new MudbaseClient();
client.setJWT("eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig");
import { MudbaseClient } from "mudbase";

const client = new MudbaseClient();
client.setJWT("eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig");

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const result = await client.chat.editMessage({
  projectId: "proj_vvTO59ui88eh",
  chatId: "rTg05B3Bo4z62jwH",
  messageId: "The Cary Fish is the latest in a series of cluttered products from McCullough, Jenkins and Wilderman",
  content: "monitor generate",
  e2ee: "hard drive input"
});
const result = await client.chat.editMessage({
  projectId: "proj_vvTO59ui88eh",
  chatId: "rTg05B3Bo4z62jwH",
  messageId: "The Cary Fish is the latest in a series of cluttered products from McCullough, Jenkins and Wilderman",
  content: "monitor generate",
  e2ee: "hard drive input"
});

Try It Live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Responses

200Message edited
json
{
  "success": true,
  "data": {
    "_id": "65a1b2c3d4e5f6789012345g",
    "content": "Updated message content",
    "editedAt": "2024-01-15T11:00:00.000Z"
  }
}
{
  "success": true,
  "data": {
    "_id": "65a1b2c3d4e5f6789012345g",
    "content": "Updated message content",
    "editedAt": "2024-01-15T11:00:00.000Z"
  }
}
400Bad request or validation error.
401Authentication required or invalid token.
403Access denied or insufficient permissions.

Errors

CodeMeaning
400Bad request or validation error.
401Authentication required or invalid token.
403Access denied or insufficient permissions.
Edit this page on GitHub